NeutralGold

Well-Known Member
Jun 5, 2002
231
0
316
Well, as of the latest edge, it's now fixed and working.. I'm having 1 issue with this though at the moment. When I place my mouse cursor over the graph, I'm getting a "ReferenceError: showinfo is not defined" error.. Anyone else having this issue?
 

sHORTYWZ

Well-Known Member
Dec 14, 2003
49
1
156
It seems as if the style isn't quite working correctly - my graphs work, but the text is messed up.
 

shannytay

Member
Jan 15, 2004
6
0
151
Ms
Question

In my WHM if I go to the cpanel part and click on Upgrade to Latest Version, should that help get Urchin to work. A tech person at ezsm said: Upgrading to the latest edge may fix it.

The errors I get in any clients cpanel is:
Urchin CGI Report. Error Encountered (1006). No Permission to view Report.

I have about had it with trying to learn this, I really feel I am going on a wing and a prayer. I have always had managed servers as a reseller. I really thought I could do this and catch on fairly fast. But at this point I feel like a Murphy's law.

Thanks In Advance To Any Help!!!
 
Last edited:

mooony

Well-Known Member
Nov 9, 2002
82
0
156
Hi,

I have upgrade cpanel to latest EDGE version and I upgraded to urchin 5.5. It is working correctly. You will need the latest version of cpanel or else it won't work.

Ronald
 

shannytay

Member
Jan 15, 2004
6
0
151
Ms
EDGE version

I hate sounding so lost here but can you tell me the steps to upgrade cpanel to latest EDGE version?

Thank you very much for your reply!
 

sHORTYWZ

Well-Known Member
Dec 14, 2003
49
1
156
go to change update preferences and select manual updates only (edge tree) and then upgrade.

be aware that these releases are not meant for production servers and may not be completely stable.
 

shannytay

Member
Jan 15, 2004
6
0
151
Ms
edge

Thanks for the replies. I did the manual update after I changed my settings to manual updates only (edge tree). It did not help me and it shut down my urchin port. But at least I tried. I am now in the mind set that my clients do not need urchin, they have all the other stats. It is going to end up giving me gray hair if I keep trying to fix the un fixable. I do hope they release a stable tree update soon to correct this problem.
 

sHORTYWZ

Well-Known Member
Dec 14, 2003
49
1
156
Shanny-

It will shutdown your urchin report, however in each of your users control panels there will be a link to Urchin Stats.

CPanel shuts down the urchin daemon as to not interfere with the automatic processing their log daemon performs.
 

mooony

Well-Known Member
Nov 9, 2002
82
0
156
If you ahve the edge version you will need to upgrade to Urchin 5.5. If you have urchin 5.1 with the latest EDGE release you will just get a blamk page.

So before you upgrade make sure which version is installed. Once you have everything ready remember to runlogonce to update the urchin data files with the new version.

Ronald
 

Planet_Master

Well-Known Member
Apr 18, 2002
233
0
316
New Yorker
Anybody getting javascript errors? I go to Urchin and the Traffic links work fine but the other links:
Pages & Files
Navigation
Referrals
Domains & Users
Browsers & Robots

All give javascript errors when clicking and never go to the desired stats.
 

shannytay

Member
Jan 15, 2004
6
0
151
Ms
Urchin

sHORTYWZ,
Thanks for the reply. I guess that link will just have to stay there and the clients will have to deal with seeing the cgi error unti a stable release can help me.


Planet_Master,
I'd be tickled pink if I had java script errors, that would mean I had got past the cig error and or blank pages. It works great on the servers I have that are not cpanel.

The learning curve is great here..it makes me think a bit harder ;-)

Have a great day ya'll!
 

shannytay

Member
Jan 15, 2004
6
0
151
Ms
Fun

Originally posted by Planet_Master
Well it was fun while it lasted. This is driving me nuts.
Indeed it was, this morning I woke with shoulders that ached and two grey hairs. I GIVE UP! If anyone figures it out I would love to do some hand holding!
 

mooony

Well-Known Member
Nov 9, 2002
82
0
156
The javascript problem is due to the fact that you are missing links to the javascripts of urchin. To resolve this make link in the skin directory that you are using to the following files:

ucss -> /usr/local/urchin/htdocs/ucss
uicons -> /usr/local/urchin/htdocs/uicons
ujs -> /usr/local/urchin/htdocs/ujs
usvg -> /usr/local/urchin/htdocs/usvg

Urchin is working for me after I done this.

Ronald
 

webolocity

Well-Known Member
Jul 22, 2003
78
0
156
Urchin update

We had installed urchin 5.5 when it first released, but had all the cpanel issues, so we downgraded to 5.1.

Since this, we have continually upgraded to latest Edge releases and Urchin continues to work, so far.

We are waiting til these issues are all ironed out, before we do another upgrade to 5.5.

But, 5.1 is still working with latest cpanel relaeses, if anyone is still having 5.5 issues.

We are interested and reattempting upgrade if more people are now experiencing success with this, without having to go in and rewrite things to tweek the update.

Please let us know if new updates to 5.5 are working with Edge relaese E-91 and above.

Thanks
 

webolocity

Well-Known Member
Jul 22, 2003
78
0
156
Downgrade to Urchin 5.1

go to this thread:

http://forums.cpanel.net/showthread.php?s=&threadid=18160&perpage=15&pagenumber=3

and see the post by GotHosting. It shows exactly where to block out the code in the install.sh script, so that it does not do a version check. Than it will let you downgrade to 5.1.

I think I have a link posted just before that where Urchin made the 5.1 download available again because of the issues with Cpanel.

This is the code to block:

code:--------------------------------------------------------------------------------
# Verify this is an upgrade and not a downgrade
if [ $upgrade -eq 1 ]; then
# Check the version number to make sure this is an upgrade and not a downgra$
OLDVERSION=`"$INSTALLDIR/bin/urchin" -v | cut -d ":" -f 2 | cut -d " " -f 3$
if [ $NEWVERSION -lt $OLDVERSION ]; then
echof "## $ENTRY0001: $ENTRY0038"
echof "$ENTRY0039: $OLDVERSION"
echof "$ENTRY0040: $NEWVERSION"
exit 1
fi
fi
--------------------------------------------------------------------------------

I think if was around link 600 +